POST
/serving/inference/{inference_id}/vpc_ips/{vpc_ip_id}/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/vpc_ips/{vpc_ip_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/vpc_ips/{vpc_ip_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/vpc_ips/{vpc_ip_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Attach a reserved VPC IP to the model endpoint.
Note: A reserved VPC IP must exist in your TIR account before attaching. Reserve IPs under Network → Reserve IP in the TIR.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inference_id
required
integer
vpc_ip_id
required
integer
ID of the reserved VPC IP to attach.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”VPC IP attach scheduled successfully.
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "message": "Success"}